#pragma once
#include <iostream>
#include <string>
#include <fstream>
#include <vector>
#include <ranges>
#include <iterator>
#include <algorithm>

class FileError : public std::exception
{
	std::string m_error;

public:

	FileError()
	{
		m_error.assign("File error");
	}

	const char* what() const noexcept override
	{
		return m_error.c_str();
	}
};