#pragma once
#include <iostream>
#include <string>

struct Subject
{
	char mName[50];
	char mTeacher[50];

	int mId;
	int mGroupId;
	int mGroupCount;

	int mLecturesHours;
	int mPracticeHours;

	bool mExam;
	bool mCourseWork;


	Subject() = default;
	friend std::istream& operator>>(std::istream& in, Subject& a_subject);
	friend std::ostream& operator<<(std::ostream& out, const Subject& a_subject);
	Subject(const Subject& a_subject);
	
};